c
c Test Program for Lapack 3.0u
c
	integer n, i, j, dim
	parameter(n = 128, n3=3*n, dim=130, dim3=3*dim)
c
	real*8 da(dim,dim), dwr(dim), dwi(dim), dvl(dim, dim), dvr(dim, dim), dwork(dim3)
c
	integer info
c
	do i = 1, n
		do j = 1, n
c			da(i,j) = rand()
			da(i,j) = n - min(i,j) + 1
		end do
		do j=n+1,dim
			da(i,j) = 0.0
		end do
	end do
c
	call dgeev('N', 'N', n, da, dim, dwr, dwi, dvl, n, dvr, n, dwork, n3, info)
c
	do i = 1, n
		write(6,600) i, dwr(i), dwi(i)
	end do
c
600	format(i15, (4e15.8))
c
	stop
	end
